#personajes {
    text-align: center;
    padding: 20px;
}

/* Nuevo contenedor con espacio entre imagen y texto */
.titulo-contenedor {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 300px;
    margin: 0 auto 20px auto; /* Centra el título y agrega margen inferior */
}

.titulo-imagen {
    width: 30px;
    height: auto;
}

.titulo-texto {
    font-size: 1.8rem;
    font-weight: 700;
    color: #483D8B;
    margin: 0;
}

.contenedor {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    max-width: 1200px;
    margin: 0 auto;
}

.listado-personajes {
    flex: 1;
    padding: 0px 25px;
    text-align: left;
    height: 560px;
    overflow-y: auto;
}
.titulo-con-imagen h2{
    font-weight: 400;
    font-size: 27px;

}
.listado-personajes ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.listado-personajes a {
	color: #000000;
	text-decoration: none;
}
.listado-personajes ul li {
    cursor: pointer;
    padding: 10px;
    margin: 5px 0;
    background-color: #f0f0f0;
    border-radius: 5px;
    display: flex;
    align-items: center;
    transition: background-color 0.3s ease;
    justify-content: space-between;
}

.listado-personajes ul li img {
    margin-right: 10px;
    width: 20px;
    height: auto;
}

.listado-personajes ul ul {
    padding-left: 20px; /* Sangría para sublista */
}

.listado-personajes ul ul li {
    background-color: transparent;
    list-style: none;
    padding-left: 30px;
}

.listado-personajes ul ul li:hover {
    background-color: #FF6B6B;
    color: white;
}

.listado-personajes ul li:hover {
    background-color: #FF6B6B;
    color: white;
}

/* Estilos para las flechas */
.buti::after {
    content: "▼";
    float: right;
    margin-left: 10px;
}

/* Flecha cuando está activo (arriba) */
.listado-personajes li.active::after {
    content: "▲";
}
.listado-personajes h2{
    font-family: "Bobby";
    font-size: 19px;
    color: #483D99;
    font-weight: 300;
}
/* Estilo para la barra de desplazamiento */
.listado-personajes {
    scrollbar-width: thin;
    scrollbar-color: #FF6B6B #f0f0f0;
}

.listado-personajes::-webkit-scrollbar {
    width: 8px;
}

.listado-personajes::-webkit-scrollbar-thumb {
    background-color: #FF6B6B;
    border-radius: 10px;
}

.listado-personajes::-webkit-scrollbar-track {
    background-color: #f0f0f0;
}

.imagenes-personajes {
    flex: 3;
    display: flex;
    align-items: center;
    gap: 10px;
}

.imagenes-personajes img {
    border-radius: 10px;
}
.titulo-con-imagen img{
    margin-top: 4rem;
    width:  500px;
}
#imagen1 {
    width: 510px;
    height: 625px;
}

.column-images {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.column-images img {
    width: 100%;
    max-width: 250px;
    height: 307px;
}

@media (max-width: 768px) {
    .contenedor {
        flex-direction: column;
        align-items: center;
    }

    .imagenes-personajes {
        flex-direction: column;
    }

    #imagen1 {
        width: 100%;
    }

    .column-images img {
        max-width: 48%;
    }
    .column-images {
        display: flex;
        flex-direction: row;
        gap: 10px;
    }
    .titulo-con-imagen img {
        margin-top: 4rem;
        width: 330px;
    }
}